Page MenuHomePhabricator

Refactor: Simplify boolean conditional return statements in tools/libclang
ClosedPublic

Authored by LegalizeAdulthood on May 25 2015, 3:16 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

LegalizeAdulthood retitled this revision from to Refactor: Simplify boolean conditional return statements in tools/libclang.
LegalizeAdulthood updated this object.
LegalizeAdulthood edited the test plan for this revision. (Show Details)
LegalizeAdulthood added a subscriber: Unknown Object (MLST).
chfast added a subscriber: chfast.May 26 2015, 2:55 AM
chfast added inline comments.
tools/libclang/IndexingContext.cpp
807 ↗(On Diff #26495)

Restore the comment.

1155 ↗(On Diff #26495)

I'm not sure about that. It breaks the symmetry.

LegalizeAdulthood marked 2 inline comments as done.

Update to latest.
Update from comments.
I don't have commit access.

alexfh accepted this revision.Dec 28 2015, 7:21 AM
alexfh added a reviewer: alexfh.
alexfh added a subscriber: alexfh.

LG

This revision is now accepted and ready to land.Dec 28 2015, 7:21 AM
This revision was automatically updated to reflect the committed changes.